Index: trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make
===================================================================
--- trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1528)
+++ trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1538)
@@ -3692,847 +4664,4 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trctrp_lec.o) \
-	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	$(MODEL_LIB)(trdmld_trc_rst.o) \
-	$(MODEL_LIB)(trp_trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dianam.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	sms_lobster.F90 \
-	sms_pisces.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
-	trctrp_lec.F90 \
-	trdmld_trc_oce.F90 \
-	trdmld_trc_rst.F90 \
-	trp_trc.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trdmld_trc.o) \
-	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	iom.F90 \
-	oce_trc.F90 \
-	prtctl_trc.F90 \
-	trc.F90 \
-	trdmld_trc.F90 \
-	trdmld_trc_oce.F90 \
-	domzgr_substitute.h90 \
-	ldfeiv_substitute.h90 \
-	ldftra_substitute.h90 \
-	top_substitute.h90 \
-	vectopt_loop_substitute.h90 \
-	KEY_CPP \
-	trcbbc.F90
-$(MODEL_LIB)(trcbbl.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dianam.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(sms_lobster.o) \
-	$(MODEL_LIB)(sms_pisces.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trctrp_lec.o) \
-	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	$(MODEL_LIB)(trdmld_trc_rst.o) \
-	$(MODEL_LIB)(trp_trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dianam.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	sms_lobster.F90 \
-	sms_pisces.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
-	trctrp_lec.F90 \
-	trdmld_trc_oce.F90 \
-	trdmld_trc_rst.F90 \
-	trp_trc.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	$(MODEL_LIB)(eosbn2.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trctrp_lec.o) \
-	$(MODEL_LIB)(trdmld_trc.o) \
-	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	eosbn2.F90 \
-	lbclnk.F90 \
-	oce.F90 \
-	oce_trc.F90 \
-	prtctl_trc.F90 \
-	trc.F90 \
-	trctrp_lec.F90 \
-	trdmld_trc.F90 \
-	trdmld_trc_oce.F90 \
-	domzgr_substitute.h90 \
-	ldfeiv_substitute.h90 \
-	ldftra_substitute.h90 \
-	top_substitute.h90 \
-	trcbbl_adv.h90 \
-	vectopt_loop_substitute.h90 \
-	KEY_CPP \
-	trcbbl.F90
-$(MODEL_LIB)(trcbio.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dianam.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom_def.o) \
-	$(MODEL_LIB)(iom_ioipsl.o) \
-	$(MODEL_LIB)(iom_nf90.o) \
-	$(MODEL_LIB)(iom_rstdimg.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(sms_lobster.o) \
-	$(MODEL_LIB)(sms_pisces.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trctrp_lec.o) \
-	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	$(MODEL_LIB)(trdmld_trc_rst.o) \
-	$(MODEL_LIB)(trp_trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dianam.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	sms_lobster.F90 \
-	sms_pisces.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
-	trctrp_lec.F90 \
-	trdmld_trc_oce.F90 \
-	trdmld_trc_rst.F90 \
-	trp_trc.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(sms_lobster.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trdmld_trc.o) \
-	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	iom.F90 \
-	lbclnk.F90 \
-	oce_trc.F90 \
-	prtctl_trc.F90 \
-	sms_lobster.F90 \
-	trc.F90 \
-	trdmld_trc.F90 \
-	trdmld_trc_oce.F90 \
-	domzgr_substitute.h90 \
-	ldfeiv_substitute.h90 \
-	ldftra_substitute.h90 \
-	top_substitute.h90 \
-	vectopt_loop_substitute.h90 \
-	KEY_CPP \
-	trcbio.F90
-$(MODEL_LIB)(trcctl.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trctrp_lec.o) \
-	$(MODEL_LIB)(trp_trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
-	trctrp_lec.F90 \
-	trp_trc.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trcctl_c14b.o) \
-	$(MODEL_LIB)(trcctl_cfc.o) \
-	$(MODEL_LIB)(trcctl_lobster.o) \
-	$(MODEL_LIB)(trcctl_my_trc.o) \
-	$(MODEL_LIB)(trcctl_pisces.o) \
-	$(MODEL_LIB)(trctrp_ctl.o) \
-	oce_trc.F90 \
-	trc.F90 \
-	trcctl_c14b.F90 \
-	trcctl_cfc.F90 \
-	trcctl_lobster.F90 \
-	trcctl_my_trc.F90 \
-	trcctl_pisces.F90 \
-	trctrp_ctl.F90 \
-	KEY_CPP \
-	trcctl.F90
-$(MODEL_LIB)(trcctl_c14b.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(trc.o) \
-	oce_trc.F90 \
-	trc.F90 \
-	KEY_CPP \
-	trcctl_c14b.F90
-$(MODEL_LIB)(trcctl_cfc.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(trc.o) \
-	oce_trc.F90 \
-	trc.F90 \
-	KEY_CPP \
-	trcctl_cfc.F90
-$(MODEL_LIB)(trcctl_lobster.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(trc.o) \
-	oce_trc.F90 \
-	trc.F90 \
-	KEY_CPP \
-	trcctl_lobster.F90
-$(MODEL_LIB)(trcctl_my_trc.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(trc.o) \
-	oce_trc.F90 \
-	trc.F90 \
-	KEY_CPP \
-	trcctl_my_trc.F90
-$(MODEL_LIB)(trcctl_pisces.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(trc.o) \
-	oce_trc.F90 \
-	trc.F90 \
-	KEY_CPP \
-	trcctl_pisces.F90
-$(MODEL_LIB)(trcdia.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	lib_print.F90 \
-	oce.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	$(MODEL_LIB)(dianam.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	$(MODEL_LIB)(trp_trc.o) \
-	dianam.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
-	oce_trc.F90 \
-	trc.F90 \
-	trdmld_trc_oce.F90 \
-	trp_trc.F90 \
-	domzgr_substitute.h90 \
-	ldfeiv_substitute.h90 \
-	ldftra_substitute.h90 \
-	top_substitute.h90 \
-	vectopt_loop_substitute.h90 \
-	$(IOIPSL_LIB) \
-	KEY_CPP \
-	trcdia.F90
-$(MODEL_LIB)(trcdmp.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dianam.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(iom_def.o) \
-	$(MODEL_LIB)(iom_ioipsl.o) \
-	$(MODEL_LIB)(iom_nf90.o) \
-	$(MODEL_LIB)(iom_rstdimg.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(sms_lobster.o) \
-	$(MODEL_LIB)(sms_pisces.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trctrp_lec.o) \
-	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	$(MODEL_LIB)(trdmld_trc_rst.o) \
-	$(MODEL_LIB)(trp_trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dianam.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	lib_print.F90 \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	sms_lobster.F90 \
-	sms_pisces.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
-	trctrp_lec.F90 \
-	trdmld_trc_oce.F90 \
-	trdmld_trc_rst.F90 \
-	trp_trc.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trcdta.o) \
-	$(MODEL_LIB)(trctrp_lec.o) \
-	$(MODEL_LIB)(trdmld_trc.o) \
-	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	iom.F90 \
-	oce.F90 \
-	oce_trc.F90 \
-	prtctl_trc.F90 \
-	trc.F90 \
-	trcdta.F90 \
-	trctrp_lec.F90 \
-	trdmld_trc.F90 \
-	trdmld_trc_oce.F90 \
-	domzgr_substitute.h90 \
-	ldfeiv_substitute.h90 \
-	ldftra_substitute.h90 \
-	top_substitute.h90 \
-	vectopt_loop_substitute.h90 \
-	$(IOIPSL_LIB) \
-	KEY_CPP \
-	trcdmp.F90
-$(MODEL_LIB)(trcdta.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom_def.o) \
-	$(MODEL_LIB)(iom_ioipsl.o) \
-	$(MODEL_LIB)(iom_nf90.o) \
-	$(MODEL_LIB)(iom_rstdimg.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_c14b.o) \
-	$(MODEL_LIB)(par_cfc.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_lobster.o) \
-	$(MODEL_LIB)(par_my_trc.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_pisces.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
-	par_c14b.F90 \
-	par_cfc.F90 \
-	par_kind.F90 \
-	par_lobster.F90 \
-	par_my_trc.F90 \
-	par_oce.F90 \
-	par_pisces.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(trc.o) \
-	iom.F90 \
-	lib_print.F90 \
-	oce_trc.F90 \
-	par_trc.F90 \
-	trc.F90 \
-	domzgr_substitute.h90 \
-	ldfeiv_substitute.h90 \
-	ldftra_substitute.h90 \
-	top_substitute.h90 \
-	vectopt_loop_substitute.h90 \
-	KEY_CPP \
-	trcdta.F90
-$(MODEL_LIB)(trcexp.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dianam.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom_def.o) \
-	$(MODEL_LIB)(iom_ioipsl.o) \
-	$(MODEL_LIB)(iom_nf90.o) \
-	$(MODEL_LIB)(iom_rstdimg.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(sms_lobster.o) \
-	$(MODEL_LIB)(sms_pisces.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trctrp_lec.o) \
-	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	$(MODEL_LIB)(trdmld_trc_rst.o) \
-	$(MODEL_LIB)(trp_trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dianam.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
-	oce_trc.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	sms_lobster.F90 \
-	sms_pisces.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
-	trctrp_lec.F90 \
-	trdmld_trc_oce.F90 \
-	trdmld_trc_rst.F90 \
-	trp_trc.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(sms_lobster.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trctrp_lec.o) \
-	$(MODEL_LIB)(trdmld_trc.o) \
-	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	iom.F90 \
-	lbclnk.F90 \
-	oce_trc.F90 \
-	prtctl_trc.F90 \
-	sms_lobster.F90 \
-	trc.F90 \
-	trctrp_lec.F90 \
-	trdmld_trc.F90 \
-	trdmld_trc_oce.F90 \
-	domzgr_substitute.h90 \
-	ldfeiv_substitute.h90 \
-	ldftra_substitute.h90 \
-	top_substitute.h90 \
-	vectopt_loop_substitute.h90 \
-	KEY_CPP \
-	trcexp.F90
-$(MODEL_LIB)(trcini.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(p4zche.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(sms_lobster.o) \
-	$(MODEL_LIB)(sms_pisces.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trcctl_c14b.o) \
 	$(MODEL_LIB)(trcctl_cfc.o) \
@@ -4545,4 +4674,5 @@
 	$(MODEL_LIB)(trclsm_my_trc.o) \
 	$(MODEL_LIB)(trclsm_pisces.o) \
+	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trcsms_c14b.o) \
 	$(MODEL_LIB)(trcsms_cfc.o) \
@@ -4552,16 +4682,7 @@
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
 	$(MODEL_LIB)(trp_trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	lbclnk.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	lib_print.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -4578,5 +4699,4 @@
 	trabbl.F90 \
 	traqsr.F90 \
-	trc.F90 \
 	trcctl_c14b.F90 \
 	trcctl_cfc.F90 \
@@ -4584,4 +4704,5 @@
 	trcctl_my_trc.F90 \
 	trcctl_pisces.F90 \
+	trc.F90 \
 	trclsm_c14b.F90 \
 	trclsm_cfc.F90 \
@@ -4596,7 +4717,10 @@
 	trdmld_trc_oce.F90 \
 	trp_trc.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	zdf_oce.F90 \
+	daymod.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -4604,5 +4728,4 @@
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trcctl.o) \
 	$(MODEL_LIB)(trcdta.o) \
@@ -4613,15 +4736,13 @@
 	$(MODEL_LIB)(trcini_pisces.o) \
 	$(MODEL_LIB)(trclec.o) \
+	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trcrst.o) \
 	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zpshde_trc.o) \
-	daymod.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
-	trc.F90 \
 	trcctl.F90 \
 	trcdta.F90 \
+	trc.F90 \
 	trcini_c14b.F90 \
 	trcini_cfc.F90 \
@@ -4636,14 +4757,18 @@
 	KEY_CPP \
 	trcini.F90
-$(MODEL_LIB)(trcini_c14b.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
+$(MODEL_LIB)(trcini_lobster.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(par_c14b.o) \
 	$(MODEL_LIB)(par_cfc.o) \
@@ -4659,19 +4784,8 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trdmld_trc.o) \
-	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
-	oce_trc.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
 	par_c14b.F90 \
 	par_cfc.F90 \
@@ -4687,30 +4801,36 @@
 	trabbl.F90 \
 	traqsr.F90 \
-	trc.F90 \
-	trdmld_trc.F90 \
-	trdmld_trc_oce.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trcsms_c14b.o) \
-	oce_trc.F90 \
-	par_trc.F90 \
-	trc.F90 \
-	trcsms_c14b.F90 \
-	KEY_CPP \
-	trcini_c14b.F90
-$(MODEL_LIB)(trcini_cfc.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
+	zdf_oce.F90 \
+	$(MODEL_LIB)(oce_trc.o) \
+	$(MODEL_LIB)(par_trc.o) \
+	$(MODEL_LIB)(sms_lobster.o) \
+	$(MODEL_LIB)(trc.o) \
+	oce_trc.F90 \
+	par_trc.F90 \
+	sms_lobster.F90 \
+	trc.F90 \
+	domzgr_substitute.h90 \
+	ldfeiv_substitute.h90 \
+	ldftra_substitute.h90 \
+	top_substitute.h90 \
+	vectopt_loop_substitute.h90 \
+	KEY_CPP \
+	trcini_lobster.F90
+$(MODEL_LIB)(trcini_my_trc.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(ldfslp.o) \
 	$(MODEL_LIB)(ldftra_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(par_c14b.o) \
 	$(MODEL_LIB)(par_cfc.o) \
@@ -4726,19 +4846,8 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trdmld_trc.o) \
-	$(MODEL_LIB)(trdmld_trc_oce.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
-	oce_trc.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
 	par_c14b.F90 \
 	par_cfc.F90 \
@@ -4754,21 +4863,22 @@
 	trabbl.F90 \
 	traqsr.F90 \
-	trc.F90 \
-	trdmld_trc.F90 \
-	trdmld_trc_oce.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trcsms_cfc.o) \
-	oce_trc.F90 \
-	par_trc.F90 \
-	trc.F90 \
-	trcsms_cfc.F90 \
-	KEY_CPP \
-	trcini_cfc.F90
-$(MODEL_LIB)(trcini_lobster.o) :	\
+	zdf_oce.F90 \
+	$(MODEL_LIB)(oce_trc.o) \
+	$(MODEL_LIB)(par_trc.o) \
+	$(MODEL_LIB)(trc.o) \
+	oce_trc.F90 \
+	par_trc.F90 \
+	trc.F90 \
+	KEY_CPP \
+	trcini_my_trc.F90
+$(MODEL_LIB)(trcini_pisces.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -4778,4 +4888,5 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(par_c14b.o) \
 	$(MODEL_LIB)(par_cfc.o) \
@@ -4789,16 +4900,13 @@
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
+	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
+	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	oce_trc.F90 \
 	par_c14b.F90 \
 	par_cfc.F90 \
@@ -4812,16 +4920,22 @@
 	sbc_oce.F90 \
 	sbcrnf.F90 \
+	sms_pisces.F90 \
 	trabbl.F90 \
 	traqsr.F90 \
-	zdf_oce.F90 \
+	trc.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(sms_lobster.o) \
-	$(MODEL_LIB)(trc.o) \
-	oce_trc.F90 \
-	par_trc.F90 \
-	sms_lobster.F90 \
+	zdf_oce.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce_trc.o) \
+	$(MODEL_LIB)(p4zche.o) \
+	$(MODEL_LIB)(par_trc.o) \
+	$(MODEL_LIB)(sms_pisces.o) \
+	$(MODEL_LIB)(trc.o) \
+	oce_trc.F90 \
+	p4zche.F90 \
+	par_trc.F90 \
+	sms_pisces.F90 \
 	trc.F90 \
 	domzgr_substitute.h90 \
@@ -4831,133 +4945,14 @@
 	vectopt_loop_substitute.h90 \
 	KEY_CPP \
-	trcini_lobster.F90
-$(MODEL_LIB)(trcini_my_trc.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_c14b.o) \
-	$(MODEL_LIB)(par_cfc.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_lobster.o) \
-	$(MODEL_LIB)(par_my_trc.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_pisces.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
-	par_c14b.F90 \
-	par_cfc.F90 \
-	par_kind.F90 \
-	par_lobster.F90 \
-	par_my_trc.F90 \
-	par_oce.F90 \
-	par_pisces.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(trc.o) \
-	oce_trc.F90 \
-	par_trc.F90 \
-	trc.F90 \
-	KEY_CPP \
-	trcini_my_trc.F90
-$(MODEL_LIB)(trcini_pisces.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(par_c14b.o) \
-	$(MODEL_LIB)(par_cfc.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_lobster.o) \
-	$(MODEL_LIB)(par_my_trc.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_pisces.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(sms_pisces.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
-	oce_trc.F90 \
-	par_c14b.F90 \
-	par_cfc.F90 \
-	par_kind.F90 \
-	par_lobster.F90 \
-	par_my_trc.F90 \
-	par_oce.F90 \
-	par_pisces.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	sms_pisces.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(p4zche.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(sms_pisces.o) \
-	$(MODEL_LIB)(trc.o) \
-	lib_mpp.F90 \
-	oce_trc.F90 \
-	p4zche.F90 \
-	par_trc.F90 \
-	sms_pisces.F90 \
-	trc.F90 \
-	domzgr_substitute.h90 \
-	ldfeiv_substitute.h90 \
-	ldftra_substitute.h90 \
-	top_substitute.h90 \
-	vectopt_loop_substitute.h90 \
-	KEY_CPP \
 	trcini_pisces.F90
 $(MODEL_LIB)(trcldf_bilap.o) :	\
+	daymod.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
@@ -4985,15 +4980,7 @@
 	$(MODEL_LIB)(trdmld_trc_rst.o) \
 	$(MODEL_LIB)(trp_trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dianam.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -5013,7 +5000,8 @@
 	trdmld_trc_rst.F90 \
 	trp_trc.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	zdf_oce.F90 \
+	lbclnk.F90 \
 	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(oce_trc.o) \
@@ -5022,5 +5010,4 @@
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
 	$(MODEL_LIB)(trp_trc.o) \
-	lbclnk.F90 \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
@@ -5036,4 +5023,12 @@
 	trcldf_bilap.F90
 $(MODEL_LIB)(trcldf_bilapg.o) :	\
+	daymod.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
@@ -5061,15 +5056,7 @@
 	$(MODEL_LIB)(trdmld_trc_rst.o) \
 	$(MODEL_LIB)(trp_trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dianam.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -5089,7 +5076,8 @@
 	trdmld_trc_rst.F90 \
 	trp_trc.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	zdf_oce.F90 \
+	lbclnk.F90 \
 	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(oce_trc.o) \
@@ -5099,5 +5087,4 @@
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
 	$(MODEL_LIB)(trp_trc.o) \
-	lbclnk.F90 \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
@@ -5114,4 +5101,12 @@
 	trcldf_bilapg.F90
 $(MODEL_LIB)(trcldf_iso.o) :	\
+	daymod.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
@@ -5139,15 +5134,7 @@
 	$(MODEL_LIB)(trdmld_trc_rst.o) \
 	$(MODEL_LIB)(trp_trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dianam.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -5167,7 +5154,7 @@
 	trdmld_trc_rst.F90 \
 	trp_trc.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
@@ -5188,4 +5175,12 @@
 	trcldf_iso.F90
 $(MODEL_LIB)(trcldf_iso_zps.o) :	\
+	daymod.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
@@ -5213,15 +5208,7 @@
 	$(MODEL_LIB)(trdmld_trc_rst.o) \
 	$(MODEL_LIB)(trp_trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dianam.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
